Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 288243 - net-libs/webkit-gtk-1.1.15.2 version bump
Summary: net-libs/webkit-gtk-1.1.15.2 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: gnome2.28
  Show dependency tree
 
Reported: 2009-10-08 19:21 UTC by wbrana
Modified: 2009-11-01 10:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wbrana 2009-10-08 19:21:31 UTC
WebKitGTK+ 1.1.15.2 was released on October 6

Reproducible: Always
Comment 1 Mart Raudsepp gentoo-dev 2009-10-11 02:29:41 UTC
Going to work on this very soon for main tree, reopening
Comment 2 Gilles Dartiguelongue gentoo-dev 2009-10-11 17:33:14 UTC
It's in overlay and requires gnome-2.28 libs...
Comment 3 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-10-11 18:04:50 UTC
(In reply to comment #2)
> It's in overlay and requires gnome-2.28 libs...
> 

It depends on >=net-libs/libsoup-2.27.91 which depends on >=dev-libs/glib-2.21.3 

Hence, we need glib-2.22 and libsoup-2.28 in-tree for this to enter tree. I think this is doable.
Comment 4 Mart Raudsepp gentoo-dev 2009-10-12 03:00:45 UTC
Yes, and I can test these components against older GNOME. I just really want to make a3li happy and have a more secure webkit-gtk in-tree stable :)
Comment 5 Romain Perier (RETIRED) gentoo-dev 2009-10-15 15:53:20 UTC
(In reply to comment #4)
> Yes, and I can test these components against older GNOME. I just really want to
> make a3li happy and have a more secure webkit-gtk in-tree stable :)
> 

I agree... I meant why don't move webkit-gtk-1.1.12 in the main tree if we could have a more secure package in portage ? (security is an important thing)
Comment 6 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-11-01 10:00:43 UTC
Moved to tree by eva